CVE-2018-10057

NameCVE-2018-10057
DescriptionThe remote management interface of cgminer 4.10.0 and bfgminer 5.5.0 allows an authenticated remote attacker to write the miner configuration file to arbitrary locations on the server due to missing basedir restrictions (absolute directory traversal).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs900929, 900930

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cgminer (PTS)sid, stretch4.9.2-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
bfgminersource(unstable)(unfixed)900930
cgminersource(unstable)(unfixed)900929

Notes

[stretch] - cgminer <no-dsa> (Minor issue)
[jessie] - cgminer <no-dsa> (Minor issue)
[jessie] - bfgminer <no-dsa> (Minor issue)
https://www.openwall.com/lists/oss-security/2018/06/03/1

Search for package or bug name: Reporting problems